Summary:	A simple interface for working with TeX documents
Name:		texworks
Version:	0.6.9
Release:	%mkrel 1
License:	GPLv2
Group:		Publishing
Url:		https://www.tug.org/texworks/
Source0:	https://github.com/TeXworks/texworks/archive/release-%{version}/%{name}-release-%{version}.tar.gz

BuildRequires:	cmake
BuildRequires:	qttools6
BuildRequires:	cmake(Qt6Concurrent)
BuildRequires:	cmake(Qt6Core5Compat)
BuildRequires:	cmake(Qt6Core)
BuildRequires:	cmake(Qt6DBus)
BuildRequires:	cmake(Qt6Gui)
BuildRequires:	cmake(Qt6LinguistTools)
BuildRequires:	cmake(Qt6Qml)
BuildRequires:	cmake(Qt6Test)
BuildRequires:	cmake(Qt6UiTools)
BuildRequires:	cmake(Qt6Widgets)
BuildRequires:	cmake(Qt6Xml)
BuildRequires:	pkgconfig(poppler-qt6)
BuildRequires:	pkgconfig(hunspell)
BuildRequires:	pkgconfig(dbus-1)
BuildRequires:	pkgconfig(zlib)
BuildRequires:	pkgconfig(python3)
BuildRequires:	pkgconfig(lua)

%description
TeXworks is an environment for authoring TeX (LaTeX, ConTeXt, etc)
documents, with a Unicode-based, TeX-aware editor, integrated PDF
viewer, and a clean, simple interface accessible to casual and
non-technical users.

TeXworks is inspired by Dick Koch's award-winning TeXShop program for
Mac OS X, which has made quality typesetting through TeX accessible to
a wider community of users, without a technical or intimidating
face. The goal of TeXworks is to deliver a similarly integrated,
easy-to-use environment for users on other platforms, especially
GNU/Linux and Windows.


%prep
%autosetup -p1 -n %{name}-release-%{version}

%build
%cmake_qt6 \
	-DQT_DEFAULT_MAJOR_VERSION=6 \
	-DTW_BUILD_ID=%{_vendor} \
	-DWITH_PYTHON=ON \
	-DTeXworks_PLUGIN_DIR=%{_libdir}/%{name} \
	-DTeXworks_DIC_DIR=%{_datadir}/myspell
%cmake_build

%install
%cmake_install

%files
%doc %{_docdir}/%{name}/
%{_bindir}/%{name}
%{_libdir}/%{name}/
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/hicolor/*/apps/TeXworks*
%{_metainfodir}/%{name}.appdata.xml
%{_mandir}/man1/%{name}.1*


%changelog
* Tue Mar 05 2024 daviddavid <daviddavid> 0.6.9-1.mga10
+ Revision: 2047578
- new version: 0.6.9
- remove merged upstream patch

* Tue Dec 19 2023 daviddavid <daviddavid> 0.6.8-2.mga10
+ Revision: 2019237
- backport upstream patch to fix compilation with Qt >= 6.5
+ papoteur <papoteur>
- Mass Rebuild - Python 3.12

* Tue Sep 05 2023 daviddavid <daviddavid> 0.6.8-1.mga10
+ Revision: 1984239
- new version: 0.6.8
- switch to Qt6

* Sat Oct 01 2022 neoclust <neoclust> 0.6.7-1.mga9
+ Revision: 1893582
- New version 0.6.7

* Tue Apr 05 2022 umeabot <umeabot> 0.6.6-5.mga9
+ Revision: 1844139
- Mageia 9 Mass Rebuild

* Mon Feb 14 2022 tmb <tmb> 0.6.6-4.mga9
+ Revision: 1774919
- rebuild for python 3.10

* Sat Apr 03 2021 wally <wally> 0.6.6-3.mga9
+ Revision: 1712971
- rebuild for lua 5.4

* Sat Mar 20 2021 daviddavid <daviddavid> 0.6.6-2.mga9
+ Revision: 1705397
- rebuild for python 3.9

* Fri Mar 12 2021 daviddavid <daviddavid> 0.6.6-1.mga9
+ Revision: 1701669
- new version: 0.6.6
- remove merged upstream patch

* Thu Dec 17 2020 umeabot <umeabot> 0.6.5-3.mga8
+ Revision: 1660020
- Rebuild for new Qt5

* Fri Jul 24 2020 daviddavid <daviddavid> 0.6.5-2.mga8
+ Revision: 1608744
- add upstream patch to fix build with Qt 5.15

* Fri Mar 27 2020 daviddavid <daviddavid> 0.6.5-1.mga8
+ Revision: 1561074
- new version: 0.6.5

* Sun Feb 16 2020 umeabot <umeabot> 0.6.3-5.mga8
+ Revision: 1532087
- Mageia 8 Mass Rebuild
+ wally <wally>
- build with new cmake macros

* Sun Sep 15 2019 tv <tv> 0.6.3-4.mga8
+ Revision: 1441546
- rebuild for python-3.8

* Sun Sep 01 2019 daviddavid <daviddavid> 0.6.3-3.mga8
+ Revision: 1436117
- port to Python 3

* Tue Apr 02 2019 umeabot <umeabot> 0.6.3-2.mga7
+ Revision: 1385079
- Qt5 Rebuild

* Tue Mar 19 2019 daviddavid <daviddavid> 0.6.3-1.mga7
+ Revision: 1378748
- new version: 0.6.3

* Fri Nov 23 2018 daviddavid <daviddavid> 0.6.2-3.mga7
+ Revision: 1333488
- rebuild for new hunspell 1.7.0

* Sun Sep 23 2018 umeabot <umeabot> 0.6.2-2.mga7
+ Revision: 1301394
- Mageia 7 Mass Rebuild

* Sat Jul 22 2017 daviddavid <daviddavid> 0.6.2-1.mga7
+ Revision: 1127892
- new version: 0.6.2

* Mon Nov 28 2016 luigiwalser <luigiwalser> 0.6.1-3.mga6
+ Revision: 1070649
- rebuild for poppler

* Sat Aug 13 2016 luigiwalser <luigiwalser> 0.6.1-2.mga6
+ Revision: 1046204
- test rebuild for poppler

* Sun May 01 2016 daviddavid <daviddavid> 0.6.1-1.mga6
+ Revision: 1008476
- new version: 0.6.1
- port to Qt5
- update Source Url from github

* Thu Apr 21 2016 tv <tv> 0.4.5-6.mga6
+ Revision: 1004206
- rebuid for libhunspell 1.4

* Fri Jan 29 2016 umeabot <umeabot> 0.4.5-5.mga6
+ Revision: 928926
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.4.5-4.mga5
+ Revision: 742913
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.4.5-3.mga5
+ Revision: 689854
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 0.4.5-2.mga4
+ Revision: 526000
- Mageia 4 Mass Rebuild

* Sun Jun 02 2013 malo <malo> 0.4.5-1.mga4
+ Revision: 435252
- restore documentation
- update to 0.4.5

* Mon Jan 14 2013 umeabot <umeabot> 0.4.4-2.mga3
+ Revision: 384495
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Jul 01 2012 malo <malo> 0.4.4-1.mga3
+ Revision: 265710
- update to 0.4.4 (patch by Jeff Robins)
- new upstream Url

* Wed Jun 13 2012 fwang <fwang> 0.4.3-2.mga3
+ Revision: 260198
- rebuild for new poppler

* Thu Dec 15 2011 malo <malo> 0.4.3-1.mga2
+ Revision: 182337
- adding spec comment. Thanks to cddesjar for the initial imported spec!
- imported package texworks


* Thu Jul 21 2011 Lev Givon <lev@mandriva.org> 0.4.3-0.r858mdv2011.0
+ Revision: 690840
- Update to 0.4.3.

* Tue May 31 2011 Lev Givon <lev@mandriva.org> 0.4.1-0.r829
+ Revision: 682073
- Update to 0.4.1-r829.

* Mon May 16 2011 Lev Givon <lev@mandriva.org> 0.4.0-0.r759
+ Revision: 675134
- Update to 0.4.0.

* Mon Apr 18 2011 Funda Wang <fwang@mandriva.org> 0.2.3-3
+ Revision: 655748
- rebuild for new hunspell

* Wed Dec 08 2010 Oden Eriksson <oeriksson@mandriva.com> 0.2.3-2mdv2011.0
+ Revision: 615172
- the mass rebuild of 2010.1 packages

* Thu Dec 10 2009 Lev Givon <lev@mandriva.org> 0.2.3-1mdv2010.1
+ Revision: 475990
- import texworks
